# Acknowledge a Kustom checkout order

> `POST https://api.kustom.co/ordermanagement/v1/orders/{order_id}/acknowledge`

Acknowledge order. Read more on [Acknowledging orders](https://docs.kustom.co/contents/order-management/manage-orders-with-the-api/view-and-change-orders#acknowledge-order)

## Parameters

- `order_id` (string, path, required) — Order id
- `Klarna-Idempotency-Key` (string, header) — This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

## Responses

### 204

Order was acknowledged.

### 403

Update not allowed.

`application/json`

- `correlation_id` (string) — Correlation id. For searching logs.
- `error_code` (string) — Error code
- `error_messages[]` (array<string>) — Error messages

```json
{
  "correlation_id": "66782175-ae05-44fc-9eb3-eeceadbad271",
  "error_code": "NOT_ALLOWED",
  "error_messages": [
    "<string>"
  ]
}
```

### 404

Order not found.

`application/json`

- `correlation_id` (string) — Correlation id. For searching logs.
- `error_code` (string) — Error code
- `error_messages[]` (array<string>) — Error messages

```json
{
  "correlation_id": "66782175-ae05-44fc-9eb3-eeceadbad271",
  "error_code": "NO_SUCH_ORDER",
  "error_messages": [
    "<string>"
  ]
}
```

### 409

Conflict

`*/*`

```json
"<string>"
```

### Errors

| Code | Status | What it means | Retry |
| --- | --- | --- | --- |
| `NO_SUCH_ORDER` | 404 | The order_id does not exist, or belongs to the other environment. | Never retry |
